This extension implements several custom animations within GoJS. It may be useful to copy some of them into your own project.

- Double click in the Diagram background to create a node, or copy and paste nodes, to view creation animations.
- Delete a node to view deletion animations.
- Draw links to see new link creation animations.
- Select a node and press the + button to see a link-and-node creation animation.
- Reload the model to see the custom load animation

Options:

Creation Animation
Deletion Animation
Drawn Link Style